<template>
    <div
        v-if="shop"
        class="iphone-container"
    >
        <div class="iphone-screen">
            <div class="facebook-message-preview">
                <div class="clearfix">
                    <div class="avatar" />
                    <div class="message-content">
                        <div class="text">
                            <div v-html="replaceText(bodyText)" />
                            <br>
                            <div>{{ unsubscribeText }} <a href="#">carti.io/AAAA</a></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import shop from '../../mixins/shop.service'

export default {
    name: "SmsPhonePreview",
    mixins: [shop],
    props: {
        bodyText: {
            type: String,
            default: "",
        },
        unsubscribeText: {
            type: String,
            default: "",
        },
        automaticDiscountEnabled: {},
        automaticDiscountValue: {
            type: [String, Number],
            default: 10,
        },
        discountCode: {
            type: String,
            default: '',
        },
    },
    data() {
        return {
            shop: null,
            randomCode: Math.random().toString(36).slice(2, 8).toUpperCase()
        }
    },
    created() {
        this.loadShop()
    },
    methods: {
       async loadShop() {
            this.shop = await this.getShop()
        },
        replaceText(text) {
            text = text.replace(/{domain}/g, '<a href="#">carti.io/AAAA</a>');
            text = text.replace(/{firstName}/g, 'John');
            text = text.replace(/{lastName}/g, 'Doe');
            text = text.replace(/{siteName}/g, this.shop.custom_name || this.shop.site_name);
            text = text.replace(/{cartLink}/g, '<a href="#">' + 'Cart URL' + '</a>');
            text = text.replace(/{discountValue}/g, this.automaticDiscountValue);
            text = text.replace(/{discountCode}/g, this.automaticDiscountEnabled === false && this.discountCode !== null ? this.discountCode : this.randomCode);
            text = text.replace(/{storeEmail}/g,  this.shop.custom_email || this.shop.email || 'Email');
            return text;
        }
    }
}
</script>

<style scoped lang="scss">

@import '../../../css/elements/iphone-container';


.facebook-message-preview .product-box .product-price {
    color: #999999;
}

.facebook-message-preview .product-box .buttons ul {
    margin: 0;
    padding: 0;
}

.facebook-message-preview .product-box .buttons ul li {
    height: 32px;
    list-style: none;
    text-align: center;
    line-height: 32px;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    font-weight: bold;
}

.facebook-message-preview .product-box .buttons ul li a {
    color: #365899;
    text-decoration: none;
}

.total-title-text {
    padding: 11px;
}

.total-price-text {
    float: right;
}

.total-price-table {
    width: 100%;
}

.image-responsive {
    max-height: 50px;
    margin: 0 8px;
}

.facebook-message-preview .product-box .product-info {
    padding: 8px;
}

.facebook-message-preview .product-box {
    border: 1px solid #d1d1d1;
    border-radius: 5px 15px 15px 15px;
}

.facebook-message-preview .avatar {
    float: left;
    width: 28px;
    height: 1px;
    margin-right: 8px;
}

.facebook-message-preview .message-content {
    float: left;
    width: 191px;
}

.facebook-message-preview {
    position: relative;
    font-family: Helvetica, Arial, sans-serif;
    font-size: 13px;
}


.facebook-message-preview .product-box .image {
    border-bottom: 1px solid #d1d1d1;
}

.facebook-message-preview .text {
    display: table;
    padding: 5px 8px 5px;
    margin-bottom: 1px;
    color: #4b4f56;
    background: #f1f0f0;
    font-family: Helvetica, Arial, sans-serif;
    font-size: 13px;
    line-height: 1.5;
    word-wrap: break-word;
    white-space: pre-wrap;
    border-radius: 15px;
    border-bottom-left-radius: 5px;
}

</style>
